Subject: Re: bug#66144: 29.1; eglot-shutdown request params violate JSONRPC

From: Javier Olaechea <[email-masked]>
Date: Sat, 14 Oct 2023 12:19:04 -0500

> If you can find some Eglot use case that is actually hurt by this, we can
reopen.

The OP has an Eglot use case that is hurt by this, they cannot shutdown the
ocamllsp server. Because when they call M-x eglot-shutdown, eglot sends an
invalid request. The server dies instead of returning a response and then
eglot restarts the server.